Module jdk.compiler
Package com.sun.source.tree

## Interface CompoundAssignmentTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface CompoundAssignmentTree
      extends ExpressionTree

  A tree node for compound assignment operator. Use `getKind` to determine the kind of operator. For example:

         variable operator expression

  Since:
    1.6
  See The Java™ Language Specification:
    section 15.26.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression()` | Returns the expression on the right hand side of the compound assignment.
    `ExpressionTree` | `getVariable()` | Returns the variable on the left hand side of the compound assignment.

    - ### Methods declared in interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getVariable

          ExpressionTree getVariable()

      Returns the variable on the left hand side of the compound assignment.
      Returns:
        the variable

    - #### getExpression

          ExpressionTree getExpression()

      Returns the expression on the right hand side of the compound assignment.
      Returns:
        the expression